#include <plib.h>
// microchip recommends #include <xc.h>, too, but it is currently unnecessary

// Configuring the Device Configuration Registers
// 80Mhz Core/Periph, Pri Osc w/PLL, Write protect Boot Flash
#pragma config DEBUG    = OFF           // Background Debugger disabled
#pragma config FPLLMUL = MUL_20         // PLL Multiplier: Multiply by 20
#pragma config FPLLIDIV = DIV_2         // PLL Input Divider:  Divide by 2
#pragma config FPLLODIV = DIV_1         // PLL Output Divider: Divide by 1
#pragma config FWDTEN = OFF             // WD timer: OFF
#pragma config POSCMOD = HS             // Primary Oscillator Mode: High Speed xtal
#pragma config FNOSC = PRIPLL           // Oscillator Selection: Primary oscillator  w/ PLL
#pragma config FPBDIV = DIV_1           // Peripheral Bus Clock: Divide by 1
#pragma config BWP = OFF                // Boot write protect: OFF
#pragma config ICESEL = ICS_PGx2    // ICE pins configured on PGx2, Boot write protect OFF.
#pragma config FSOSCEN = OFF            // Disable second osc to get pins back

void delay(void);

int main(void) {
	
  DDPCONbits.JTAGEN = 0; // disable JTAG to get A4 and A5 back

  // Port A dig I/O pins 4 and 5 are connected to LEDs 1 and 1.  Make them outputs.
  TRISA = 0xFFCF;  // Pins 4 and 5 are cleared to 0, for output; other pins of Port A are inputs.

  // Turn LED1 on and LED2 off.  These pins sink current on NU32, so "high" = "off."
  LATAbits.LATA4 = 0; LATAbits.LATA5 = 1;

  while(1) {
    delay();
    LATAINV = 0x0030;  // toggle the two lights
  }
  return 0;
}

void delay(void) {
  int j;
  for (j=0;j<1000000;j++) {
    while(!PORTCbits.RC13);   // Pin C13 is the USER switch, low if pressed.
  }
}
